Get Lead Search Run
curl --request GET \
--url https://api.example.com/api/v1/lead-search/runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/lead-search/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/lead-search/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/lead-search/runs/{run_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/lead-search/runs/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/lead-search/runs/{run_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/lead-search/runs/{run_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_count": 123,
"delivered_count": 123,
"charged_credits": 123,
"plan": {
"natural_language_query": "<string>",
"requested_count": 3,
"person": {
"titles": {
"values": [
"<string>"
],
"match": "any"
},
"schools": {
"values": [
"<string>"
],
"match": "any"
},
"seniorities": {
"values": [
"<string>"
],
"match": "any"
},
"keywords": {
"values": [
"<string>"
],
"match": "any"
},
"locations": [
{
"city": "<string>",
"region": "<string>",
"country": "<string>",
"radius": 2,
"radius_unit": "mi"
}
]
},
"company": {
"names": {
"values": [
"<string>"
],
"match": "any"
},
"domains": {
"values": [
"<string>"
],
"match": "any"
},
"industries": {
"values": [
"<string>"
],
"match": "any"
},
"categories": {
"values": [
"<string>"
],
"match": "any"
},
"keywords": {
"values": [
"<string>"
],
"match": "any"
},
"country_codes": {
"values": [
"<string>"
],
"match": "any"
},
"headcount": {
"minimum": 1,
"maximum": 1
},
"annual_revenue": {
"lower_bound_usd": 1,
"upper_bound_usd": 1
},
"funding_stages": {
"values": [
"<string>"
],
"match": "any"
}
},
"required_output_fields": [
"full_name",
"title",
"company_name",
"company_domain",
"linkedin_url"
],
"unresolved_constraints": []
},
"deduped_all": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}lead_search
Get Lead Search Run
GET
/
api
/
v1
/
lead-search
/
runs
/
{run_id}
Get Lead Search Run
curl --request GET \
--url https://api.example.com/api/v1/lead-search/runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/lead-search/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/lead-search/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/lead-search/runs/{run_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/lead-search/runs/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/lead-search/runs/{run_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/lead-search/runs/{run_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_count": 123,
"delivered_count": 123,
"charged_credits": 123,
"plan": {
"natural_language_query": "<string>",
"requested_count": 3,
"person": {
"titles": {
"values": [
"<string>"
],
"match": "any"
},
"schools": {
"values": [
"<string>"
],
"match": "any"
},
"seniorities": {
"values": [
"<string>"
],
"match": "any"
},
"keywords": {
"values": [
"<string>"
],
"match": "any"
},
"locations": [
{
"city": "<string>",
"region": "<string>",
"country": "<string>",
"radius": 2,
"radius_unit": "mi"
}
]
},
"company": {
"names": {
"values": [
"<string>"
],
"match": "any"
},
"domains": {
"values": [
"<string>"
],
"match": "any"
},
"industries": {
"values": [
"<string>"
],
"match": "any"
},
"categories": {
"values": [
"<string>"
],
"match": "any"
},
"keywords": {
"values": [
"<string>"
],
"match": "any"
},
"country_codes": {
"values": [
"<string>"
],
"match": "any"
},
"headcount": {
"minimum": 1,
"maximum": 1
},
"annual_revenue": {
"lower_bound_usd": 1,
"upper_bound_usd": 1
},
"funding_stages": {
"values": [
"<string>"
],
"match": "any"
}
},
"required_output_fields": [
"full_name",
"title",
"company_name",
"company_domain",
"linkedin_url"
],
"unresolved_constraints": []
},
"deduped_all": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Stable tool boundary between Bavi's model and search providers.
Show child attributes
Show child attributes
⌘I